local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")

function onBegin()
    
    disableMovement()
    makeUnskippable ()

    local level = getLevel()
    coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(156, 90), 2, 2))
    --coroutine.yield(level:ZoomTo(vector2(156, 90), 2, 2))
    
    wait(0.75)
    say("WHE_NaCline_A_01")

    wait(0.75)
    walkTo (160, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)

    wait(0.3)
    player.Facing = getEnum("Celeste.Facings", "Left")
    wait(0.2)

    playSound("event:/WHE/WHE_keyboard2")
    setFlag("computerlion_visible", true)
    
    wait(1)
    say("WHE_NaCline_A_02")

    wait(0.75)
    setFlag("computerlion_visible", false)
    wait(1)
    walkTo (144, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)

    wait(0.3)
    player.Facing = getEnum("Celeste.Facings", "Right")
    wait(0.2)

    say("WHE_NaCline_A_03")

    wait(0.5)

    coroutine.yield(exCameraHelper.Level_ZoomBack(level, 2))
    --coroutine.yield(level:ZoomBack(2) )
    
    enableMovement()
    endCutscene ()

end
